<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:olavthonasa="http://olavthonasa.com/xbrl/2022" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" targetNamespace="http://olavthonasa.com/xbrl/2022" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olavthonasa-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olavthonasa-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olavthonasa-2022-12-31_lab-nb.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="olavthonasa-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:roleType id="Anchoring" roleURI="http://olavthonasa.com/xbrl/2022/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://olavthonasa.com/xbrl/2022/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Table1ProfitOrLossPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfProfitOrLossIfTheStatementOfProfitOrLossIsDisclosedSeparately" roleURI="http://olavthonasa.com/xbrl/2022/roles/Table1ProfitOrLossPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfProfitOrLossIfTheStatementOfProfitOrLossIsDisclosedSeparately">
        <link:definition>02 - Table 1 (Profit or loss placeholder - this item MUST be used as a starting point for the statement of profit or loss if the statement of profit or loss is disclosed separately)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Table2StatementOfComprehensiveIncomePlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfComprehensiveIncomeIfItIsDisclosedSeparatelyOrWhenTheStatementOfProfitOrLossAndOtherComprehensiveIncomeStatementsAreCombinedInASingleStatement" roleURI="http://olavthonasa.com/xbrl/2022/roles/Table2StatementOfComprehensiveIncomePlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfComprehensiveIncomeIfItIsDisclosedSeparatelyOrWhenTheStatementOfProfitOrLossAndOtherComprehensiveIncomeStatementsAreCombinedInASingleStatement">
        <link:definition>03 - Table 2 (Statement of comprehensive income placeholder - this item MUST be used as a starting point for the statement of comprehensive income if it is disclosed separately or when the statement of profit or loss and other comprehensive income statements are combined in a single statement)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Table1StatementOfFinancialPositionPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfFinancialPosition" roleURI="http://olavthonasa.com/xbrl/2022/roles/Table1StatementOfFinancialPositionPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfFinancialPosition">
        <link:definition>04 - Table 1 (Statement of financial position placeholder - this item MUST be used as a starting point for the statement of financial position)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Table1StatementOfCashFlowsPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfCashFlows" roleURI="http://olavthonasa.com/xbrl/2022/roles/Table1StatementOfCashFlowsPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfCashFlows">
        <link:definition>05 - Table 1 (Statement of cash flows placeholder - this item MUST be used as a starting point for the statement of cash flows)</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Table1StatementOfChangesInEquityPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfChangesInEquity" roleURI="http://olavthonasa.com/xbrl/2022/roles/Table1StatementOfChangesInEquityPlaceholderThisItemMUSTBeUsedAsAStartingPointForTheStatementOfChangesInEquity">
        <link:definition>06 - Table 1 (Statement of changes in equity placeholder - this item MUST be used as a starting point for the statement of changes in equity)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="olavthonasa_NettoLeieinntekter" xbrli:balance="credit" xbrli:periodType="duration" name="NettoLeieinntekter" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="olavthonasa_Forvaltningsresultat" xbrli:balance="credit" xbrli:periodType="duration" name="Forvaltningsresultat" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>